Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Parse error in inspekt.php  (Read 3136 times)

0 Members and 1 Guest are viewing this topic.

zorbas2

  • Coppermine novice
  • *
  • Country: gr
  • Offline Offline
  • Gender: Male
  • Posts: 43
  • not bridged yet :(
    • Zorbas Travel Stoupa - Greece
Parse error in inspekt.php
« on: February 08, 2015, 10:47:10 am »

What I did:
- database backup
- deleting all from server except /albums, anycontent.php, config.inc.php
- uploading all files and folders from 1.5.34 package except /albums, anycontent.php, config.inc.php

when trying to access the instalation I get :
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /homepages/44/d33963748/htdocs/scripts/cpg1.5.x/include/inspekt.php on line 117

when trying to access update.php I get a blank page.

What *beep* I stupidly did wrong???
Any help would be greatly appreciated!!!
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15651
Re: Parse error in inspekt.php
« Reply #1 on: February 08, 2015, 08:44:55 pm »

Have you tried to re-upload include/inspekt.php? Maybe it got corrupted during upload.

Line 117 reads
Code: [Select]
    public static function makeServerCage($strict=TRUE) {which probably means that you're running a quite old version of PHP. For further information, please read this (there's also a patch in the first reply).
Logged

zorbas2

  • Coppermine novice
  • *
  • Country: gr
  • Offline Offline
  • Gender: Male
  • Posts: 43
  • not bridged yet :(
    • Zorbas Travel Stoupa - Greece
Re: Parse error in inspekt.php
« Reply #2 on: February 09, 2015, 08:41:16 am »

It was not the corrupted file but my PHP version!!
Now with 5.5 everything works again like a charm.

Thank you so much!  :D
Logged
Pages: [1]   Go Up
 

Page created in 0.013 seconds with 20 queries.